Skip to main content
`Ctrl`+`K`

# DMCompositeGetNumberDM

Gets the number of `DM` objects in the `DMCOMPOSITE` representation.

## Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode DMCompositeGetNumberDM(DM dm, PetscInt *nDM)

Not Collective

## Input Parameter

- dm - the `DMCOMPOSITE` object

## Output Parameter

- nDM - the number of `DM`

## See Also

`DMCOMPOSITE`, `DM`

## Level

beginner

## Location

src/dm/impls/composite/pack.c

## Examples

src/ts/utils/dmplexlandau/tutorials/ex1.c
src/ts/utils/dmplexlandau/tutorials/ex2.c

Index of all DMComposite routines
Table of Contents for all manual pages
Index of all manual pages